Subject: bug#38529: Make --pure the default for `guix environment'?

From: zimoun <[email-masked]>
Date: Thu, 12 Dec 2019 20:33:57 +0100

Hi,

On Mon, 9 Dec 2019 at 18:38, Jesse Gibbons <[email-masked]> wrote:

> for example, "guix environment --pure --ad-hoc pavucontrol -- pavucontrol"
> gives me an error:
> No protocol specified
> Unable to init server: Could not connect: Connection
> refused

I do not experiment this error.

> Similarly, "guix environment --pure --ad-hoc gnubik -- gnubik" gives me an
> error:
> No protocol specified
>
> (gnubik:29707): Gtk-WARNING **: 10:03:28.753: cannot open display: :1

I do not experiment this error.

> "guix environment --pure --ad-hoc gedit -- gedit":
> No protocol specified
> Unable to init server: Could not connect: Connection refused
>
> (org.gnome.gedit:31542): Gtk-WARNING **: 10:08:07.401: cannot open display:
> :1

Instead I experiment this warning:

(org.gnome.gedit:19087): dconf-WARNING **: 20:31:27.734: failed to
commit changes to dconf: Failed to execute child process ?dbus-launch?
(No such file or directory)

All the best,
simon